Module java.base
Package javax.net.ssl

# Class SSLHandshakeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.io.IOException
javax.net.ssl.SSLException
javax.net.ssl.SSLHandshakeException

All Implemented Interfaces:
  `Serializable`

    public class SSLHandshakeException
    extends SSLException

Indicates that the client and server could not negotiate the desired level of security. The connection is no longer usable.

Since:
  1.4
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SSLHandshakeException​(String reason)` | Constructs an exception reporting an error found by an SSL subsystem during handshaking.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### SSLHandshakeException

public SSLHandshakeException​(String reason)
Constructs an exception reporting an error found by an SSL subsystem during handshaking.

Parameters:
  `reason` - describes the problem.